Skip to content

Delete an existing bind file of a topology

DELETE
/topologies/{topologyId}/files/{bindFileId}
curl --request DELETE \
--url https://antimony.example.com/api/topologies/example/files/example \
--header 'Authorization: Basic <credentials>'
topologyId
required
string

The ID of the topology the bind file belongs to

bindFileId
required
string

The ID of the bind file to delete

OK

Media typeapplication/json

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The request was invalid. Details in the response body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json